#ifndef __GUID_H__
#define __GUID_H__

#include "../SDK/foobar2000.h"

static const GUID guid_bpm_preferences = { 0x3aa6b47b, 0xc29f, 0x43e8, { 0x9a, 0xd8, 0x77, 0xd3, 0xe8, 0xeb, 0x8c, 0x7b } };

// General config
static const GUID guid_bpm_config_bpm_precision = { 0x87f85758, 0xc6d, 0x4d40, { 0x96, 0x7e, 0x78, 0xce, 0x73, 0x26, 0x75, 0xdc } };
static const GUID guid_bpm_config_bpm_tag = { 0xde7a28ba, 0x804f, 0x45fd, { 0x9f, 0xaa, 0xe2, 0x4, 0xaf, 0xd6, 0x7b, 0xd4 } };
// Auto Analysis config
static const GUID guid_bpm_config_seconds_to_read = { 0xdce684f4, 0x6a12, 0x4fbf, { 0x91, 0x9c, 0xfd, 0x2e, 0x9d, 0xb5, 0x2d, 0xfe } };
static const GUID guid_bpm_config_num_bpms_to_calc = { 0xade90f5a, 0xcd0b, 0x40ed, { 0x8e, 0x74, 0x7e, 0xb2, 0x20, 0x5d, 0xbc, 0x4b } };
static const GUID guid_bpm_config_offset_pct_min = { 0xcb2dd089, 0x7b66, 0x4708, { 0xaf, 0xac, 0x4c, 0xba, 0xd9, 0x7d, 0x3, 0xec } };
static const GUID guid_bpm_config_offset_pct_max = { 0xc98181c6, 0xcfb0, 0x474c, { 0xb0, 0xa7, 0x7e, 0x52, 0xd9, 0x1, 0x3a, 0xf2 } };
static const GUID guid_bpm_config_fft_window_size = { 0x4c7a8ef7, 0x44fe, 0x4c34, { 0x9d, 0x68, 0x31, 0x1e, 0x7c, 0x7b, 0x34, 0x6d } };
static const GUID guid_bpm_config_fft_window_slide = { 0x8ef67933, 0x612e, 0x4382, { 0x9b, 0xee, 0xd, 0x95, 0xc0, 0x69, 0x1b, 0xfa } };
static const GUID guid_bpm_config_window_type = { 0x5adb5595, 0xb36f, 0x4549, { 0xa6, 0xd6, 0x7f, 0x2, 0x46, 0x80, 0x5a, 0x5d } };
static const GUID guid_bpm_config_bpm_min = { 0x24803c2f, 0x7107, 0x4f0f, { 0xa7, 0x27, 0x59, 0x5c, 0x1c, 0xd8, 0xce, 0x7a } };
static const GUID guid_bpm_config_bpm_max = { 0xf59b7ddb, 0xd071, 0x4f1f, { 0xb6, 0x82, 0x82, 0xe3, 0x44, 0xc0, 0xfa, 0x87 } };
static const GUID guid_bpm_config_interpolate_flux = { 0x63d173f4, 0x7096, 0x49f8, { 0xb8, 0x73, 0x1f, 0x63, 0xcb, 0xaa, 0x97, 0x14 } };
// Manual Analysis config
static const GUID guid_bpm_config_taps_to_average = { 0x2f0195df, 0xefe3, 0x46ee, { 0xbd, 0xcb, 0x57, 0x6d, 0xfe, 0x6e, 0x25, 0x55 } };
static const GUID guid_bpm_config_seconds_to_reset_average = { 0x86314b73, 0xad4d, 0x44e8, { 0x97, 0x4b, 0x8d, 0x38, 0xd6, 0xdc, 0xe7, 0x9b } };

// Context menus
static const GUID guid_auto_bpm = { 0x518d0234, 0x3134, 0x4fea, { 0xbd, 0x43, 0x8f, 0x61, 0xee, 0x3a, 0x35, 0x3b } };
static const GUID guid_manual_bpm = { 0xf841d96f, 0x148e, 0x4ce4, { 0x96, 0x1, 0x8e, 0x8a, 0xb0, 0xe9, 0x60, 0x6d } };

#endif